
Redmine - Defect #12497

Segmentation fault 

2012-12-04 03:02 - rockchip RK

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version:  

Description

Redmine is running in our ubuntu server using the Mongrel Service , but it always crash.

My enviroment:

Redmine version           2.1.4.stable

Ruby version              1.8.7 (x86_64-linux)

RubyGems version          1.8.24

Rack version              1.4

Rails version             3.2.8

Active Record version     3.2.8

Action Pack version       3.2.8

Active Resource version   3.2.8

Action Mailer version     3.2.8

Active Support version    3.2.8

Middleware                Rack::Cache, ActionDispatch::Static, Rack::Lock,

#<ActiveSupport::Cache::Strategy::LocalCache::Middleware:0x7f0d0b7fc7a8>, Rack::Runtime, Rack::MethodOverride,

ActionDispatch::RequestId, Rails::Rack::Logger, ActionDispatch::ShowExceptions, ActionDispatch::DebugExceptions,

ActionDispatch::RemoteIp, ActionDispatch::Callbacks, ActiveRecord::ConnectionAdapters::ConnectionManagement,

ActiveRecord::QueryCache, ActionDispatch::Cookies, ActionDispatch::Session::CookieStore, ActionDispatch::Flash,

ActionDispatch::ParamsParser, ActionDispatch::Head, Rack::ConditionalGet, Rack::ETag, ActionDispatch::BestStandardsSupport,

OpenIdAuthentication

Application root          /home/redmine/redmine

Environment               production

Database adapter          mysql

Database schema version   20120731164049

----------DUMPS-------------

Started GET "/projects/rk3066/settings/versions" for 172.16.10.11 at Mon Dec 03 10:35:39 +0800 2012

Processing by ProjectsController#settings as HTML

Parameters: {"id"=>"rk3066", "tab"=>"versions"}

Current user: zwp (id=13)

Rendered projects/_form.html.erb (36.5ms)

Rendered projects/_edit.html.erb (38.4ms)

Rendered projects/settings/_modules.html.erb (5.0ms)

Rendered projects/settings/_members.html.erb (864.5ms)

Rendered projects/settings/_versions.html.erb (28.9ms)

Rendered projects/settings/_issue_categories.html.erb (1.5ms)

Rendered projects/settings/_wiki.html.erb (1.8ms)

Rendered projects/settings/_repositories.html.erb (1.5ms)

Rendered projects/settings/_boards.html.erb (1.5ms)

Rendered projects/settings/_activities.html.erb (8.3ms)

Rendered common/_tabs.html.erb (959.6ms)

Rendered projects/settings.html.erb within layouts/base (960.6ms)

Completed 200 OK in 1020ms (Views: 989.6ms | ActiveRecord: 18.2ms)

/usr/lib/ruby/gems/1.8/gems/activesupport-3.2.8/lib/active_support/cache.rb:587: [BUG] Segmentation fault

ruby 1.8.7 (2011-06-30 patchlevel 352) [x86_64-linux]

-------OR---------

Started GET "/issues/1725" for 172.16.19.131 at Mon Dec 03 14:23:33 +0800 2012

Processing by IssuesController#show as HTML
Parameters: {"id"=>"1725"}

Current user: catamout (id=24)

Rendered issues/_action_menu.html.erb (157.4ms)

Rendered issue_relations/_form.html.erb (1.7ms)

Rendered issues/_relations.html.erb (3.3ms)

Rendered issues/_history.html.erb (4.7ms)

Rendered issues/_action_menu.html.erb (3.8ms)

Rendered issues/_form_custom_fields.html.erb (6.5ms)

Rendered issues/_attributes.html.erb (311.3ms)

Rendered issues/_form.html.erb (322.7ms)

Rendered attachments/_form.html.erb (1.9ms)

Rendered issues/_edit.html.erb (333.8ms)

Rendered issues/_sidebar.html.erb (6.8ms)

Rendered issues/show.html.erb within layouts/base (538.5ms)

Completed 200 OK in 641ms (Views: 552.6ms | ActiveRecord: 23.0ms)

/usr/lib/ruby/gems/1.8/gems/rack-cache-1.2/lib/rack/cache/context.rb:61: [BUG] Segmentation fault

ruby 1.8.7 (2011-06-30 patchlevel 352) [x86_64-linux]

History

#1 - 2012-12-08 09:49 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Invalid

Segmentation faults are ruby interpreter bugs. You should try to upgrade to a more recent ruby version.

#2 - 2012-12-10 02:46 - rockchip RK

The problem was soloved by updated to ruby 1.9.3.

Many thx.
